## xreader 4.2.5+faye

=== debian/changelog ===
xreader (4.2.5+faye) xia; urgency=medium

  [ Michael Webster ]
  * ev-window.c: Check that we have a document set before accessing it.
  * ev-sidebar-thumbnails.c: Don't attempt to generate thumbnails for epub docs.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Apr 2025 15:27:47 +0100

xreader (4.2.4) xia; urgency=medium

  [ Leigh Scott ]
  * Update private.h: gcc-15 build fix (#667)

  [ Michael Webster ]
  * epub: Disable support for sidebar thumbnails. (#671)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Apr 2025 11:30:58 +0100

## xreader 4.2.5+wilma

=== debian/changelog ===
xreader (4.2.5+wilma) xia; urgency=medium

  [ Michael Webster ]
  * ev-window.c: Check that we have a document set before accessing it.
  * ev-sidebar-thumbnails.c: Don't attempt to generate thumbnails for epub docs.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Apr 2025 15:27:47 +0100

## xreader 4.2.5+xia

=== debian/changelog ===
xreader (4.2.5+xia) xia; urgency=medium

  [ Michael Webster ]
  * ev-window.c: Check that we have a document set before accessing it.
  * ev-sidebar-thumbnails.c: Don't attempt to generate thumbnails for epub docs.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Apr 2025 15:27:47 +0100

## xreader 4.2.6+faye

=== debian/changelog ===
xreader (4.2.6+faye) xia; urgency=medium

  [ Michael Webster ]
  * epub-document.c: Fix null pointer crash when building a TOC.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Apr 2025 11:39:36 +0100

xreader (4.2.5) xia; urgency=medium

  [ Michael Webster ]
  * ev-window.c: Check that we have a document set before accessing it.
  * ev-sidebar-thumbnails.c: Don't attempt to generate thumbnails for epub docs.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 15 Apr 2025 15:27:47 +0100

=== debian/rules ===
#!/usr/bin/make -f

TYPELIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')

%:
	dh $@

override_dh_install:
	sed 's@TYPELIBDIR@${TYPELIBDIR}@' debian/gir1.2-xreader.install.in > debian/gir1.2-xreader.install
	dh_install

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--libexecdir=/usr/libexec \
		--buildtype=debugoptimized \
		-D deprecated_warnings=false \
		-D djvu=true \
		-D dvi=true \
		-D t1lib=true \
		-D pixbuf=false \
		-D comics=true \
		-D introspection=true \
		-D help_files=true \
	# 	--disable-static \

override_dh_strip:
	dh_strip -pxreader --dbg-package=xreader-dbg
	dh_strip -plibxreaderdocument3 --dbg-package=libxreaderdocument3-dbg
	dh_strip -plibxreaderview3 --dbg-package=libxreaderview3-dbg

override_dh_auto_test:

override_dh_missing:
	dh_missing --fail-missing

## xreader 4.2.6+wilma

=== debian/changelog ===
xreader (4.2.6+wilma) xia; urgency=medium

  [ Michael Webster ]
  * epub-document.c: Fix null pointer crash when building a TOC.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Apr 2025 11:39:36 +0100

## xreader 4.2.6+xia

=== debian/changelog ===
xreader (4.2.6+xia) xia; urgency=medium

  [ Michael Webster ]
  * epub-document.c: Fix null pointer crash when building a TOC.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Apr 2025 11:39:36 +0100

## xreader 4.2.7+zara

=== debian/changelog ===
xreader (4.2.7+zara) zara; urgency=medium

  [ Jack White ]
  * Made index treeview collapsed by default in call in job_finished_callback() to gtk_tree_view_collapse_all() (#672)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Jul 2025 15:00:39 +0200

xreader (4.2.6) xia; urgency=medium

  [ Michael Webster ]
  * epub-document.c: Fix null pointer crash when building a TOC.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Apr 2025 11:39:36 +0100

## xreader 4.2.8+zara

=== debian/changelog ===
xreader (4.2.8+zara) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:37:02 +0200

xreader (4.2.7) zara; urgency=medium

  [ Jack White ]
  * Made index treeview collapsed by default in call in job_finished_callback() to gtk_tree_view_collapse_all() (#672)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Jul 2025 15:00:39 +0200

## xreader 4.2.9+zara

=== debian/changelog ===
xreader (4.2.9+zara) zara; urgency=medium

  * annotations: Set the title font color to black

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Aug 2025 16:35:27 +0200

xreader (4.2.8) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:37:02 +0200

## xreader 4.4.0+gigi

=== meson_options.txt ===
option('comics',
    type: 'boolean',
    value: false,
    description: 'Support for the comic book (cbr) backend'
)
option('djvu',
    type: 'boolean',
    value: false,
    description: 'Support for the djvu backend'
)
option('dvi',
    type: 'boolean',
    value: false,
    description: 'Support for the dvi backend'
)
option('t1lib',
    type: 'boolean',
    value: false,
    description: 'Compile with t1lib for type1 font support in the dvi backend'
)
option('epub',
    type: 'boolean',
    value: true,
    description: 'Support for the epub backend'
)
option('pdf',
    type: 'boolean',
    value: true,
    description: 'Support for the PDF backend'
)
option('pixbuf',
    type: 'boolean',
    value: false,
    description: 'Support for the generic pixbuf image backend'
)
option('ps',
    type: 'boolean',
    value: true,
    description: 'Support for the PostScript backend'
)
option('tiff',
    type: 'boolean',
    value: true,
    description: 'Support for the tiff backend'
)
option('xps',
    type: 'boolean',
    value: true,
    description: 'Support for the xps backend'
)
option('gtk_unix_print',
    type: 'boolean',
    value: true,
    description: 'Print support'
)
option('keyring',
    type: 'boolean',
    value: true,
    description: 'Keyring support for password-protected documents'
)
option('mathjax-directory',
    type: 'string',
    value: '',
    description: 'Path to the system mathjax installation.'
)
option('previewer',
    type: 'boolean',
    value: true,
    description: 'Build the print previewer program'
)
option('thumbnailer',
    type: 'boolean',
    value: true,
    description: 'Build the thumbnailer program'
)
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('help_files',
    type: 'boolean',
    value: false,
    description: 'Build the help files'
)
option('introspection',
    type: 'boolean',
    value: false,
    description: 'Enable GObject introspection'
)
option('enable_dbus',
    type: 'boolean',
    value: true,
    description: 'Enable D-Bus support'
)
option('deprecated_warnings',
    type: 'boolean',
    value: false,
    description: 'Show build warnings for deprecations'
)
option('enable_debug',
    type: 'boolean',
    value: false,
    description: 'Enable the runtime debugger'
)

=== debian/changelog ===
xreader (4.4.0+gigi) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 18:06:34 +0200

xreader (4.2.9) zara; urgency=medium

  * annotations: Set the title font color to black

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Aug 2025 16:35:27 +0200

## xreader 4.4.0+zara

=== debian/changelog ===
xreader (4.4.0+zara) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 18:06:34 +0200

=== debian/control ===
Source: xreader
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper-compat (= 12),
               gobject-introspection,
               intltool,
               libarchive-dev (>= 3.6.0),
               libdjvulibre-dev,
               libgail-3-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtk2.0-dev,
               libgxps-dev,
               libjs-mathjax,
               libkpathsea-dev,
               libpoppler-glib-dev,
               libsecret-1-dev,
               libsm-dev,
               libspectre-dev,
               libtiff-dev,
               libwebkit2gtk-4.1-dev (>= 2.4.3),
               libxapp-dev (>= 2.5.0),
               libx11-dev,
               libxml2-dev,
               lsb-release,
               mate-common (>= 1.12),
               meson,
               xsltproc,
               yelp-tools,
               zlib1g-dev,
Standards-Version: 3.9.6
Homepage: http://github.com/linuxmint/xreader/

Package: xreader
Architecture: any
Depends: xreader-common (>= ${source:Version}),
         libxreaderdocument3 (= ${binary:Version}),
         libxreaderview3 (= ${binary:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dbus-x11,
            gvfs,
Provides: djvu-viewer,
          pdf-viewer,
          postscript-viewer,
Suggests: poppler-data,
          unrar,
Description: Document viewer
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

Package: xreader-dbg
Section: debug
Priority: extra
Architecture: any
Depends: xreader (= ${binary:Version}),
         ${misc:Depends},
Description: Document viewer (debugging symbols)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols for Xreader.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: xreader-common
Architecture: all
Depends: ${misc:Depends},
Description: Document viewer (common files)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the architecture independent files.

Package: libxreaderview3
Section: libs
Architecture: any
Depends: libxreaderdocument3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document viewing library
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the document viewing library used by Xreader.

Package: libxreaderview-dev
Section: libdevel
Architecture: any
Depends: libxreaderview3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document viewing library (development files)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the development files for the libxreaderview
 library.

Package: libxreaderview3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libxreaderview3 (= ${binary:Version}),
         ${misc:Depends},
Description: Document viewing library (debugging symbols)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols for the libxreaderview
 library.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libxreaderdocument3
Section: libs
Architecture: any
Depends: libjs-mathjax,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document rendering library
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the document rendering library used by Xreader.

Package: libxreaderdocument-dev
Section: libdevel
Architecture: any
Depends: libxreaderdocument3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document rendering library (development files)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the development files for the libxreaderdocument
 library.

Package: libxreaderdocument3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libxreaderdocument3 (= ${binary:Version}),
         ${misc:Depends},
Description: Document rendering library (debugging symbols)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols for the libxreaderdocument
 library.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: gir1.2-xreader
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         libxreaderview3,
         libxreaderdocument3,
Description: GObject introspection data for Xreader
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains introspection data for Xreader.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## xreader 4.6.0+zena

=== debian/changelog ===
xreader (4.6.0+zena) zena; urgency=medium

  [ Clement Lefebvre ]
  * Switch to xapp-symbolic-icons (XSI)

  [ Talkashie ]
  * Fix a minor typo (#683)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Nov 2025 15:22:13 +0000

xreader (4.4.0) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 18:06:34 +0200

## xreader 4.6.1+zena

=== debian/changelog ===
xreader (4.6.1+zena) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:07:38 +0000

xreader (4.6.0) zena; urgency=medium

  [ Clement Lefebvre ]
  * Switch to xapp-symbolic-icons (XSI)

  [ Talkashie ]
  * Fix a minor typo (#683)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Nov 2025 15:22:13 +0000

## xreader 4.6.2+zena

=== debian/changelog ===
xreader (4.6.2+zena) zena; urgency=medium

  [ Balló György ]
  * Fix window icon name (#696)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Jan 2026 12:36:20 +0000

xreader (4.6.1) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:07:38 +0000

## xreader 4.6.3+gigi

=== debian/changelog ===
xreader (4.6.3+gigi) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:31:58 +0000

xreader (4.6.2) zena; urgency=medium

  [ Balló György ]
  * Fix window icon name (#696)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Jan 2026 12:36:20 +0000

## xreader 4.6.3+zena

=== debian/changelog ===
xreader (4.6.3+zena) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:31:58 +0000
